<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_realmax">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_realmax</refname>
    <refpurpose>Matlab realmax emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Scilab equivalent for Matlab <literal>realmax</literal> is
    <literal>number_properties</literal> but not all cases are implemented:</para>
    <itemizedlist>
      <listitem>
        <para>
        Scilab equivalent for Matlab <literal>realmax</literal> or
        <literal>realmax('double')</literal> is <literal>number_properties("huge")</literal>.
        </para>
      </listitem>
      <listitem>
        <para>
        There is no Scilab equivalent for Matlab <literal>realmax('single')</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>
    The function <literal>mtlb_realmax(prec)</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>realmax(prec)</literal> when it was not
    possible to know what was the input while porting Matlab code to Scilab. This function will
    determine the correct semantic at run time. If you want to have a
    more efficient code it is possible to replace <literal>mtlb_realmax</literal> calls:
    </para>
    <itemizedlist>
      <listitem>
        <para>
        If <literal>prec</literal> is equal to <literal>"double"</literal>
        <literal>mtlb_realmax(prec)</literal> may be replaced by <literal>number_properties("huge")</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Caution: <literal>mtlb_realmax</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="number_properties">number_properties</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
